### Method

# ECal ComponentAlarmTrigger get_as_property

since: 3.34

#### Declaration [src]

    ICalProperty*
    e_cal_component_alarm_trigger_get_as_property (
      const ECalComponentAlarmTrigger* trigger
    )

#### Description [src]

Converts information stored in `trigger` into an `ICalProperty` of `I_CAL_TRIGGER_PROPERTY` kind. The caller is responsible to free the returned object with g_object_unref(), when no longer needed.

Available since: 3.34

#### Return value

Type: `None`

A newly created `ICalProperty`, containing information from the `trigger`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.